import vl from 'vega-lite-api';

export const viz = vl
	.layer(
    vl.markLine({ size: 5, opacity: 0.5, color:'#ff3456'})
    .encode(
      vl.x().fieldN('Date').timeUnit('yearmonthdate'),
      vl.y().fieldQ('Amount'),
      vl.tooltip().fieldQ('Amount')
    ),
    vl.markLine()
    .encode(
    	vl.x().fieldN('Date').timeUnit('yearmonthdate'),
      vl.y().fieldQ('mpg').scale({zero:false}),
      vl.tooltip().fieldQ('mpg')
    )
  )
	.resolve({'scale':{'y':'independent'}});